Overview | Package | Class | Tree | Deprecated | Index | Help
| INFORMIX eWay API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.informixadapter.base
Class ActivationSpecImplExtInformix

    java.lang.Object
      com.stc.connector.framework.eway.DBActivationSpec
          com.stc.connector.framework.eway.DBActivationSpecExt
              com.stc.connector.informixadapter.base.ActivationSpecImplExt
                  com.stc.connector.informixadapter.base.ActivationSpecImplExtInformix

All Implemented Interfaces:
  com.stc.connector.management.jca.system.mbeans.LifeCycle, com.stc.connector.management.STCManagedMaster, java.io.Serializable, javax.resource.spi.ActivationSpec, javax.resource.spi.ResourceAdapterAssociation

    public class ActivationSpecImplExtInformix

extends ActivationSpecImplExt
implements com.stc.connector.management.STCManagedMaster

This class is like a mark up class for the Informix ActivationSepcImplExt. This was created to invalidate the conflict which arises at config/template.xml at design time

Author:
  Kanantharaman
See Also:
  Serialized Form

Field Summary

Fields inherited from class com.stc.connector.framework.eway.DBActivationSpecExt
`mBaseConfiguration, mConfiguration, mMonitorMBean, mProjectInfoObject, msgManager`

Fields inherited from class com.stc.connector.framework.eway.DBActivationSpec
`mMessages`

Constructor Summary
`ActivationSpecImplExtInformix()` Creates a new instance of ActivationSpecImplExt

Method Summary
`void` | `setConfiguration(java.lang.String aConfiguration)`

Methods inherited from class com.stc.connector.informixadapter.base.ActivationSpecImplExt
`getInformixServer, setInformixServer`

Methods inherited from class com.stc.connector.framework.eway.DBActivationSpecExt
`createMBean, getConfiguration, getConfigurationModel, getEwayActivationSpecMBeanClass, getEwayActivationSpecMBeanName, getMonitor, getProjectInfo, isStarted, setEwayActivationSpecMBeanClass, setEwayActivationSpecMBeanName, setProjectInfo, start, stop`

Methods inherited from class com.stc.connector.framework.eway.DBActivationSpec
`getDatabaseName, getPassword, getPollMilliseconds, getPortNumber, getPreparedStatement, getResourceAdapter, getServerName, getUser, setDatabaseName, setPassword, setPollMilliseconds, setPortNumber, setPreparedStatement, setResourceAdapter, setServerName, setUser, toString, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.stc.connector.management.STCManagedMaster
`getMonitor`

Methods inherited from interface javax.resource.spi.ResourceAdapterAssociation
`getResourceAdapter, setResourceAdapter`

Constructor Detail

### ActivationSpecImplExtInformix

    public ActivationSpecImplExtInformix()

  Creates a new instance of ActivationSpecImplExt

Method Detail

### setConfiguration

    public void setConfiguration(java.lang.String aConfiguration)
                          throws java.lang.Exception

  Overrides:
    `setConfiguration` in class `com.stc.connector.framework.eway.DBActivationSpecExt`
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
| INFORMIX eWay API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD